%global momorel 4
%global qtver 4.6.2

Summary: JACK Audio Connection Kit Qt GUI Interface
Name: qjackctl
Version: 0.3.6
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://qjackctl.sourceforge.net/
Source0: http://dl.sourceforge.net/project/%{name}/%{name}%20%28stable%29/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: qjackctl-0.3.6-linking.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: jack
BuildRequires: qt-devel >= %{qtver}
BuildRequires: alsa-lib-devel
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: desktop-file-utils
BuildRequires: jack-devel
BuildRequires: pkgconfig
BuildRequires: portaudio-devel

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application
to control the JACK server. Written in C++ around the Qt4 toolkit
for X11, most exclusively using Qt Designer. Provides a simple GUI
dialog for setting several JACK server parameters, which are properly
saved between sessions, and a way control of the status of the audio
server. With time, this primordial interface has become richer by 
including a enhanced patchbay and connection control features.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja~
%patch1 -p1 -b .linking

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m 644 icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category ALSA \
  --remove-category JACK \
  --remove-category MIDI \
  --remove-key X-SuSE-translate \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/locale/%{name}_*.qm
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.6-4m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-3m)
- rebuild against qt-4.6.3-1m

* Mon May  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.6-2m)
- explicitly link libX11

* Fri Mar 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- initial package for music freaks using Momonga Linux
